from django.contrib import admin

from compensation.models import Compensation, CompensationAction, CompensationState, CompensationControl


class CompensationControlAdmin(admin.ModelAdmin):
    list_display = [
        "id",
        "type",
        "deadline",
        "expected_result",
        "by_authority",
    ]


class CompensationStateAdmin(admin.ModelAdmin):
    list_display = [
        "id",
        "biotope_type",
        "surface",
    ]


class CompensationActionAdmin(admin.ModelAdmin):
    list_display = [
        "id",
        "action_type",
        "amount",
        "unit",
        "control",
    ]


class CompensationAdmin(admin.ModelAdmin):
    list_display = [
        "id",
        "created_on",
    ]


admin.site.register(Compensation, CompensationAdmin)
admin.site.register(CompensationAction, CompensationActionAdmin)
admin.site.register(CompensationState, CompensationStateAdmin)
admin.site.register(CompensationControl, CompensationControlAdmin)
