"""
Author: Michel Peltriaux
Organization: Struktur- und Genehmigungsdirektion Nord, Rhineland-Palatinate, Germany
Contact: michel.peltriaux@sgdnord.rlp.de
Created on: 30.11.20

"""
from django.urls import path

from compensation.views import *

app_name = "compensation"
urlpatterns = [
    # Main compensation
    path("", index_view, name="index"),
    path('new/', new_view, name='new'),
    path('open/<id>', open_view, name='open'),
    path('edit/<id>', edit_view, name='edit'),
    path('remove/<id>', remove_view, name='remove'),

    # Eco-account
    path("account/", account_index_view, name="account-index"),
    path('account/new/', account_new_view, name='account-new'),
    path('account/open/<id>', account_open_view, name='account-open'),
    path('account/edit/<id>', account_edit_view, name='account-edit'),
    path('account/remove/<id>', account_remove_view, name='account-remove'),
]