"""
Author: Michel Peltriaux
Organization: Struktur- und Genehmigungsdirektion Nord, Rhineland-Palatinate, Germany
Contact: michel.peltriaux@sgdnord.rlp.de
Created on: 15.12.20

"""
from django.utils.translation import gettext_lazy as _

from konova.settings import DEFAULT_GROUP, ZB_GROUP, ETS_GROUP
from user.enums import UserNotificationEnum

TEST_ORGANISATION_DATA = [
        {
            "name": "Test_Official_1",
        },
        {
            "name": "Test_Official_2",
        },
        {
            "name": "Test_NGO_1",
        },
        {
            "name": "Test_Company_1",
        },
    ]

GROUPS_DATA = [
        {
            "name": _(DEFAULT_GROUP),
        },
        {
            "name": _(ZB_GROUP),
        },
        {
            "name": _(ETS_GROUP),
        },
    ]

# Must match with UserNotificationEnum
USER_NOTIFICATIONS_NAMES = {
    "NOTIFY_ON_NEW_RELATED_DATA": _("On new related data"),
    "NOTIFY_ON_SHARE_LINK_DISABLED": _("On disabled share link"),
    "NOTIFY_ON_SHARED_ACCESS_REMOVED": _("On shared access removed"),
    "NOTIFY_ON_SHARED_DATA_REGISTERED": _("On shared data registered"),
    "NOTIFY_ON_SHARED_DATA_DELETED": _("On shared data deleted"),
    "NOTIFY_ON_REGISTERED_DATA_EDITED": _("On registered data edited"),
}