"""
Author: Michel Peltriaux
Organization: Struktur- und Genehmigungsdirektion Nord, Rhineland-Palatinate, Germany
Contact: michel.peltriaux@sgdnord.rlp.de
Created on: 05.07.21

"""
from django import template
from konova.settings import SVI_BOOTSTRAP_CLS_MAP

# Create custom library
register = template.Library()


@register.filter("bootstrap_cls")
def bootstrap_cls(value):
    """ Returns a bootstrap html class name

    Resolves ServerMessageImportance enum into a html class name

    Args:
        value ():
        arg ():

    Returns:

    """
    return SVI_BOOTSTRAP_CLS_MAP.get(value, "")
